/*
  configdialog.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of WifiConnect.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __CONFIGDIALOG_H__
#define __CONFIGDIALOG_H__

#include <qdialog.h>
#include "conffile.h"

class QLabel;
class QComboBox;
class QLineEdit;
class QCheckBox;

class ConfigDialog : public QDialog
{
	Q_OBJECT
  public:
	ConfigDialog( QWidget * parent=0, const char * name=0, WFlags f=0 );
	~ConfigDialog();

	void setConfFile(ConfFile *conf);

  protected:
	QLabel *conn_name;

	QComboBox *proto;
	QComboBox *enc;

	QLineEdit *ssid;
//	QLabel *ssid;
	QCheckBox *stealth;

	QLineEdit *passwd;

	ConfFile *conf;

	bool pass_change;

  public slots:
	void protoChanged(int);
	void passChanged(const QString &str);
	void accept();
};

#endif // __CONFIGDIALOG_H__
